import { backendApi } from "@/utils/fetch";
import { mapBackendPrinterToFrontend } from "@/utils/backend-types";

export const dynamic = "force-dynamic";

export async function GET() {
	try {
		// Hole Drucker vom Backend statt aus der lokalen Datenbank
		const backendPrinters = await backendApi.printers.getAll();
		
		// Transformiere die Backend-Daten ins Frontend-Format
		const printers = backendPrinters.map(mapBackendPrinterToFrontend);

		return Response.json(printers);
	} catch (error) {
		console.error("Fehler beim Abrufen der Drucker vom Backend:", error);
		return Response.json(
			{ error: "Fehler beim Abrufen der Drucker vom Backend" },
			{ status: 500 }
		);
	}
}
